org.richfaces.component

## Class UIGraphValidator

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIGraphValidator

- All Implemented Interfaces:
    javax.faces.component.StateHolder
  Direct Known Subclasses:
    HtmlGraphValidator

      public abstract class UIGraphValidator
      extends javax.faces.component.UIComponentBase

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIGraphValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context)`
    `abstract java.util.Set<java.lang.String>` | `getProfile()` Get set of profiles for validation
    `boolean` | `getRendersChildren()`
    `abstract java.lang.String` | `getSummary()` Get object for validation
    `abstract java.lang.String` | `getType()` Get graph validator Id.
    `abstract java.lang.Object` | `getValue()` Get object for validation
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `abstract void` | `setProfile(java.util.Set<java.lang.String> newvalue)` Set set of profiles for validation
    `abstract void` | `setSummary(java.lang.String newvalue)` Set object for validation
    `abstract void` | `setType(java.lang.String newvalue)` Set graph validator Id.
    `abstract void` | `setValue(java.lang.Object newvalue)` Set object for validation

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIGraphValidator

          public UIGraphValidator()

  - ### Method Detail

    - #### getValue

          public abstract java.lang.Object getValue()

      Get object for validation
      Returns:

    - #### setValue

          public abstract void setValue(java.lang.Object newvalue)

      Set object for validation
      Parameters:
        `newvalue` -

    - #### getSummary

          public abstract java.lang.String getSummary()

      Get object for validation
      Returns:

    - #### setSummary

          public abstract void setSummary(java.lang.String newvalue)

      Set object for validation
      Parameters:
        `newvalue` -

    - #### getProfile

          public abstract java.util.Set<java.lang.String> getProfile()

      Get set of profiles for validation
      Returns:

    - #### setProfile

          public abstract void setProfile(java.util.Set<java.lang.String> newvalue)

      Set set of profiles for validation
      Parameters:
        `newvalue` -

    - #### getType

          public abstract java.lang.String getType()

      Get graph validator Id.
      Returns:

    - #### setType

          public abstract void setType(java.lang.String newvalue)

      Set graph validator Id.
      Parameters:
        `newvalue` -

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `javax.faces.component.UIComponentBase`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.component.UIComponentBase`

Copyright © 2013. All Rights Reserved.